| Tilt Five NDK |

Public Member Functions
tiltfive::ParamChangeHelper Class Reference
Tilt Five™ Native Interface (C++)

Utility class to track changes to parameters Using ParamChangeHelper. More...

`#include <TiltFiveNative.hpp>`

## Public Member Functions
auto | consumeLastAsyncError () -> std::error_code
| Obtain and consume the last asynchronous error. More...
auto | registerGlasses (const std::shared_ptr< Glasses > &glasses) -> void
| Register glasses for parameter change tracking. More...
auto | deregisterGlasses (const std::shared_ptr< Glasses > &glasses) -> void
| De-register glasses for parameter change tracking. More...

## Detailed Description

Utility class to track changes to parameters Using ParamChangeHelper.

Definition at line 1147 of file TiltFiveNative.hpp.

## Member Function Documentation

## ◆ consumeLastAsyncError()

auto tiltfive::ParamChangeHelper::consumeLastAsyncError | ( |  | ) | -> std::error_code
| inline

Obtain and consume the last asynchronous error.

The connection process may produce errors asynchronously which can be detected by calling this.

Returns
  The last known error or a default std::error_code if no error was present

Definition at line 1287 of file TiltFiveNative.hpp.

## ◆ deregisterGlasses()

auto tiltfive::ParamChangeHelper::deregisterGlasses | ( | const std::shared_ptr< Glasses > & | glasses | ) | -> void
| inline

De-register glasses for parameter change tracking.

Definition at line 1299 of file TiltFiveNative.hpp.

## ◆ registerGlasses()

auto tiltfive::ParamChangeHelper::registerGlasses | ( | const std::shared_ptr< Glasses > & | glasses | ) | -> void
| inline

Register glasses for parameter change tracking.

Definition at line 1293 of file TiltFiveNative.hpp.

The documentation for this class was generated from the following file:

- TiltFiveNative.hpp